Skip to content
SolidRusT.ai

Hybrid search

POST
/data/v1/query/hybrid

Combines semantic similarity search with knowledge graph relationships. Allows configurable weighting between semantic and graph results.

Authorizations

Request Body required

object
query
required

The search query text

string
semantic_weight

Weight for semantic search results

number
default: 0.7 <= 1
graph_weight

Weight for knowledge graph results

number
default: 0.3 <= 1
sources
Array<string>
entity_boost

Entity names to boost in results

Array<string>
limit
integer
default: 10

Responses

200

Successful response

object
query
string
results
Array<object>
object
document_id
string
content
string
score

Similarity score (0-1)

number
metadata
object
source
string
title
string
url
string
content_type
string
total
integer
latency_ms
number

400

Invalid request

object
error
object
message
string
type
string
code
string
param
string

401

Invalid or missing API key

object
error
object
message
string
type
string
code
string
param
string